package com.ruoyi.interfaces.domain;

import java.io.Serializable;

public class PtServiceReturn extends PtServiceParamKey implements Serializable {
    private String srvId;
    private String paramCode;

    private String paramName;

    private String paramType;

    private String paramValue;

    private String paramFormat;

    private String paramNote;

    private static final long serialVersionUID = 1L;

    @Override
    public String getSrvId() {
        return srvId;
    }

    @Override
    public void setSrvId(String srvId) {
        this.srvId = srvId;
    }

    @Override
    public String getParamCode() {
        return paramCode;
    }

    @Override
    public void setParamCode(String paramCode) {
        this.paramCode = paramCode;
    }

    public String getParamName() {
        return paramName;
    }

    public void setParamName(String paramName) {
        this.paramName = paramName == null ? null : paramName.trim();
    }

    public String getParamType() {
        return paramType;
    }

    public void setParamType(String paramType) {
        this.paramType = paramType == null ? null : paramType.trim();
    }

    public String getParamValue() {
        return paramValue;
    }

    public void setParamValue(String paramValue) {
        this.paramValue = paramValue == null ? null : paramValue.trim();
    }

    public String getParamFormat() {
        return paramFormat;
    }

    public void setParamFormat(String paramFormat) {
        this.paramFormat = paramFormat == null ? null : paramFormat.trim();
    }

    public String getParamNote() {
        return paramNote;
    }

    public void setParamNote(String paramNote) {
        this.paramNote = paramNote == null ? null : paramNote.trim();
    }


}
